# `converters`

The converters module is accessible via the `sqlobject` module.

## Attributes

#### a `NumericType`

    None

#### a `__package__`

    'sqlobject'

#### a `converters`

    <sqlobject.converters.ConverterRegistry instance at 0xa64776c>

#### a `sqlStringReplace`

    [("'", "''"),
     ('\\', '\\\\'),
     ('\x00', '\\0'),
     ('\x08', '\\b'),
     ('\n', '\\n'),
     ('\r', '\\r'),
     ('\t', '\\t')]

## Functions

#### f `registerConverter(self, typ, func)` ...

#### f `lookupConverter(self, value, default=None)` ...

#### f `StringLikeConverter(value, db)` ...

#### f `IntConverter(value, db)` ...

#### f `LongConverter(value, db)` ...

#### f `BoolConverter(value, db)` ...

#### f `FloatConverter(value, db)` ...

#### f `NoneConverter(value, db)` ...

#### f `SequenceConverter(value, db)` ...

#### f `StructTimeConverter(value, db)` ...

#### f `DateTimeConverter(value, db)` ...

#### f `DateConverter(value, db)` ...

#### f `TimeConverter(value, db)` ...

#### f `DecimalConverter(value, db)` ...

#### f `TimedeltaConverter(value, db)` ...

#### f `sqlrepr(obj, db=None)` ...

#### f `quote_str(s, db)` ...

#### f `unquote_str(s)` ...

## Classes

#### C `ConverterRegistry(...)` ...

This class contains 3 members.

See the source for more information.